AgentUpdateRequest
objectRequest body for a partial update. All fields are optional. Capabilities cannot be changed after the agent is created.
autoApplyboolean
namestring
<= 50 characters
descriptionstring
<= 130 characters
statusstring
Allowed values:ACTIVEINACTIVEDRAFT
promptobject
The prompt to set on an agent when you create or edit it. Unlike the read-only Prompt in responses, id and version are optional here.
Show Child Parameters
agentPropertiesobject
* Additional properties are allowed.
Example
CursorPaginatedAgents
objectA page of agents. metadata.nextPage and metadata.prevPage are query strings to add to the same request URL, or null when there is no such page.
itemsarray[object]
An agent.
Show Child Parameters
metadataobject
Show Child Parameters
Example
ExecutionFilterOptions
objectfilterNamestringrequired
Allowed values:agentranBy
valuesarray[object]required
Show Child Parameters
Example
PaginatedAgents
objectA page of agents.
itemsarray[object]
An agent.
Show Child Parameters
metadataobject
Show Child Parameters
Example
Prompt
objectAn agent prompt.
idstring(uuid)read-only
textstring
versioninteger(int32)read-only
isActivebooleanread-only
createdAtstring(date-time)
modifiedAtstring(date-time)
Example